<?php
/**
 * /includes/modules/payment/quickpay_common.inc
 *
 * Copyright (c) 2015 Stokersoft (info@stokersoft.com)
 * 
 * This payment module is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 3 of the License, or (at
 * your option) any later version.
 * 
 * This payment module is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 * 
 * Version 2.0
 */


/**
 * pflog
 *
 * Log function for logging output.
 *
 */
function pflog2($msg = '', $close = false)
{
    static $fh = 0;
    global $module;

    // Only log if debugging is enabled
    if (PF_DEBUG) {
        if ($close) {
            fclose($fh);
        } else {
            // If file doesn't exist, create it
            if (!$fh) {
                $pathinfo = pathinfo(__file__);
                $fh = fopen($pathinfo['dirname'] . '/quickpay.log', 'a+');
            }

            // If file was successfully created
            if ($fh) {
                $line = date('Y-m-d H:i:s') . ' : ' . $msg . "\n";

                fwrite($fh, $line);
            }
        }
    }
}

?>
